:root {
  /*variaveis local que pode usar em qualquer lugar deste CSS*/
  --AzulProfissional: #003da5; /*Fundo principal, botões de ação, ícones principais*/
  --VerdeSucesso: #5cb85c; /*Elementos positivos (sucesso, conclusão)*/
  --LaranjaEnergia: #ff8c00; /*Chamadas à ação secundárias, alertas*/
  --Branco: #ffffff; /*Textos primários, fundos claros*/
  --CinzaGrafite: #4d4d4d; /*Textos secundários, bordas sutis*/
  --Preto: #1a1a1a; /*Fundos escuros, textos em tema claro*/
  --FundoBackground: #f4f4f4; /*Fundo do background-color*/
}

body {
  background-color: var(--FundoBackground) !important;
}

.app {
  margin-top: -20px; /* move tudo 20px para cima */
}

.colorprimary {
  background: #000 !important;
}

.colorsecundary {
  /*background: linear-gradient(to right, #3f51b5, #9c27b0) !important*/
}

.mdl-badge[data-badge]:after {
  background: #000;
  color: white;
}
.s12 {
  margin-top: 5px !important;
}

.toastErro {
  background-color: rgba(255, 0, 0, 0.5);
  color: #fff;
}

.toastSuccess {
  background-color: rgba(0, 128, 0, 0.5);
  color: #fff;
}

a {
  /*Todo link "a" aparecer o curso de clic*/
  cursor: pointer;
}

/* INICIO configurações dos botões ------------------------------------*/
#btn-editar:hover {
  background: #ffd600;
  background: #be9f03;
}

#btn-deletar:hover {
  background: #b71c1c;
}

.bs-btn-hover-bg {
  background: #198754;
}

.btn-filhos:hover {
  background: green;
}
/* Comum */
.btn-comum {
  background-color: #343a40 !important;
  color: white !important;
  border: 1px solid #343a40 !important;
  padding: 0.375rem 0.75rem;
  border-radius: 0.375rem;
}
.btn-comum:hover {
  background: #5cb85c !important;
  border-color: #5cb85c !important; /* Sincroniza a borda com o fundo */
}
/* Editar */
.btn-editar {
  background-color: #ffc107 !important;
  color: #000 !important;
  border: 1px solid #ffc107 !important;
  padding: 0.375rem 0.75rem;
  border-radius: 0.375rem;
}
.btn-editar:hover {
  background-color: #ff8c00 !important; /* Cor do fundo no hover */
  border-color: #e0bd0a !important; /* Sincroniza a borda com o fundo */
}
/* Deletar */
.btn-deletar {
  background-color: #dc3545 !important;
  color: white !important;
  border: 1px solid #dc3545 !important;
  padding: 0.375rem 0.75rem;
  border-radius: 0.375rem;
}
.btn-deletar:hover {
  background: #a70606 !important;
  border-color: #a70606 !important; /* Sincroniza a borda com o fundo */
}
/* Salvar */
.btn-salvar {
  background-color: #2071f8 !important;
  color: white !important;
  border: 1px solid #2071f8 !important;
  padding: 0.375rem 0.75rem;
  border-radius: 0.375rem;
}
.btn-salvar:hover {
  background: #5cb85c !important; /* Cor do fundo no hover */
  border-color: #5cb85c !important; /* Sincroniza a borda com o fundo */
}
/* Cancelar */
.btn-cancelar {
  /* background-color: #555 !important; */
  background-color: #343a40 !important;
  color: white !important;
  border: 1px solid #343a40 !important;
  padding: 0.375rem 0.75rem;
  border-radius: 0.375rem;
}
.btn-cancelar:hover {
  background: #a70606 !important; /* Cor do fundo no hover */
  border-color: #a70606 !important; /* Sincroniza a borda com o fundo */
}
/* Carregar */
.btn-carregar {
  background-color: #343a40 !important;
  color: white !important;
  border: 1px solid #343a40 !important;
  padding: 0.375rem 0.75rem;
  border-radius: 0.375rem;
}
.btn-carregar:hover {
  background: #5cb85c !important; /* Cor do fundo no hover */
  border-color: #5cb85c !important; /* Sincroniza a borda com o fundo */
}
/* Botões Verdes Sucesso */
.btn-success:hover {
  background: #5cb85c !important; /* Cor do fundo no hover */
  border-color: #5cb85c !important; /* Sincroniza a borda com o fundo */
}
/* FIM configurações dos botões ----------------------------------------*/

/* INICIO Adiciona a animação de pulsação */
.btn-pulsar {
  animation: pulsar 1.5s infinite;
}

/* Definindo a animação pulsante */
@keyframes pulsar {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}
/* FIM da animação de pulsação */

/* Inicio - Tabelas - List */
.table {
  width: 100%;
  table-layout: auto;
}

.table-container {
  width: 100%;
  overflow-x: auto;
}

th,
tr {
  cursor: pointer;
  white-space: nowrap; /* impede quebra de linha */
}

#pesquisar {
  margin-top: 30px;
}

.table-rounded {
  border-radius: 12px;
  overflow: hidden;
}

.table-responsive {
  overflow-x: auto;
  -webkit-overflow-scrolling: touch; /* Suavidade em iOS */
}

.table-responsive > table {
  border-radius: 12px;
  overflow: hidden;
  width: 100%;
  min-width: 600px; /* Força scroll em telas muito pequenas */
}
/* Fim - Tabelas - List */

/*-------Inicio do Card do Show ----- */
.card {
  border-radius: 1rem; /* arredondamento uniforme */
  overflow: hidden; /* garante que o header acompanhe o card */
  border: 1px solid #dee2e6;
}

.card-header {
  border-radius: 0; /* remove o raio duplicado */
  background-color: #f8f9fa;
  border-bottom: 1px solid #e9ecef;
}

p {
  margin-bottom: 0.4rem;
}
/*-------Fim do Card do Show----- */
